Subject: Re: [PATCH] net: introduce SO_BPF_EXTENSIONS

From: Daniel Borkmann <[email-masked]>
Date: Fri, 06 Dec 2013 13:04:50 +0100

On 12/06/2013 12:15 PM, David Laight wrote:
>> From: Daniel Borkmann

>> Haven't had a closer look at the BSD BPF code /yet/, so ...
>
> I've not looked either.
>
>>    i) Does BSD have such extensions and if so do we overlap some?
>>
>> ii) Is it planned to also introduce SO_BPF_EXTENSIONS for BSD kernels
>>       to have one common api (that i.e. libpcap would then make use of)?
>
> If it is useful to add any of the extensions, and they don't collide
> with any other existing changes, then they might be added.
> Adding a request that indicates which extensions are supported should
> be easier than adding the extensions themselves.

Btw, we have aa1113d9f85da5 for that, but I see the point to get all
at once.

Ideally, they shouldn't even be added manually to this getsockopt,
plus we need to be careful of not preventing us in future from adding
additional extensions if they are needed for some good reason (hence,
the 1 bit, but maybe there's another better solution; haven't had
time to think about it so far).